---
"$schema": https://raw.githubusercontent.com/jsonresume/resume-schema/v1.0.0/schema.json
basics:
  name: Stef Dunlap
  pronouns: she/her
  label: Programmer
  image: https://resume.kindrobot.ca/photo.jpg
  email: hello@kindrobot.ca
  phone: +1 647 657 7076
  url: https://resume.kindrobot.ca
  summary: |
    Stef is a freshly minted Canadian permanent resident with a love of
    teaching, smiling, and programming. She's available for sponsor free work in
    Canada and the US. Stef enjoys intentional community, software as art, and
    making things with her hands (and 3D printer.)
  location:
    address: 1710-10 Navy Wharf Court
    postalCode: M5V 3V2
    city: Toronto
    countryCode: CA
    region: Ontario
  profiles:
  - network: GitHub
    username: kindrowboat
    url: https://github.com/kindrowboat
  - network: Mastodon
    username: kindrobot@tiny.tilde.website
    url: https://tiny.tilde.website/web/@kindrobot
  - network: Stack Overflow
    username: kindrobot
    url: https://stackoverflow.com/users/852639/kindrobot
  - network: Wikipedia
    username: KindRowboat
    url: https://en.wikipedia.org/wiki/User:KindRowboat
  - network: LinkedIn
    username: theyellowdart
    url: https://www.linkedin.com/in/theyellowdart/
work:
- name: Wikimedia Foundation
  location: Toronto, ON
  description: Nonprofit that supports Wikipedia and related projects
  position: Staff Software Engineer in Test
  url: https://wikimediafoundation.org/
  startDate: 2022-09-15
  endDate: ''
  summary: |
    Working as part of the Quality and Test Engineering team to transform how
    teams automate their software testing leveraging Kubernetes for quick,
    reliable, reproducable test environments.
  highlights:
  - helped Abstract Wikipedia team ship Wikifunctions with confidence
  - made tool to solve ticket open since 2005 around sorting Special:WhatLinksHere
  keywords:
  - kubernetes
  - PHP
  - Mediawiki
  - helm
  - testing
  - CI/CD
- name: Focal Point NDE Technologies
  location: Toronto, ON
  description: Nondestructive examination software
  position: Computer System Analyst
  url: https://utex.com
  startDate: 2020-09-01
  endDate: 2022-04-01
  summary: |
    Focal Point along with its sister company UTEX, make software that inspects
    assembled parts using nondestructive examination technologies (e.g.
    ultrasound, radiography, eddy currents) and identifies defects before they
    are put into production.
  highlights:
  - Implemented testing framework and CI for a legacy C++ application
  - Coached Agile methodologies
  - Migrated team to git version control, and taught git workflows
  - Organized hiring effort, and coordinated hiring of two engineers
  keywords:
  - C++
  - Windows devops
  - hardware
  - git
  - hiring
  - testing
  - CI/CD
- name: Chisel AI
  location: Toronto, ON
  description: Insurance document comprehension through machine learning
  position: Manager of Software Development
  url: https://chisel.ai
  startDate: 2020-01-01
  endDate: 2020-08-01
  summary: |
    Led team of five engineers building machine learning application which
    extracts insurance data from policies, quotes, and binders to eliminate
    errors and omissions.
  keywords:
  - management
  - Agile coaching
  - machine learning
  - AWS lambdas
  - Comprehend
  - Rekognition
  - CloudWatch
  - Textract
- name: Pivotal Software
  location: Toronto, ON
  description: cloud application deployment automation
  position: Engineering Manager, Pivotal Software
  url: https://pivotal.io
  startDate: 2017-02-01
  endDate: 2019-12-31
  summary: |
    Led team of seven engineers across multiple projects related to
    authorization, automated infrastructure deployment, and user onboarding.
  keywords:
  - Ruby-on-Rails
  - cloud infrastructure
  - Linux devops
  - Kubernetes
  - Docker
  - React.JS
  - Golang
  - eXtreme Programming
  - paired programming
  - CI/CD
- name: KiwiDonut LLP.
  location: Oakland, CA
  description: independent consultant cooperative
  position: Founder
  url: ''
  startDate: 2016-04-15
  endDate: 2017-01-31
  summary: |
    Led a team of engineers consulting on Node.js API for integrating a
    front-end with a cloud contract signing service and land management
    application
  keywords:
  - management
  - teaching
  - React.JS
  - Node.JS
  - test driven development
  - Agile coaching
- name: Pivotal Labs
  location: San Francisco, CA
  description: Agile software consultancy
  position: Senior Software Engineer
  url: 'https://pivotallabs.com'
  startDate: 2015-04-15
  endDate: 2016-04-15
  summary: |
    Lead engineer of the Pivotal Cloud Foundry Billing and Account Management team
  keywords:
  - teaching
  - Ruby-on-Rails
  - JavaScript
  - CI/CD
  - API design
  - eXtreme Programming
  - paired programming
  - SQL
- name: Independent Contractor
  location: Cincinnati, OH
  description: 
  position: Software Engineering Consultant
  url: ''
  startDate: 2014-02-15
  endDate: 2015-02-15
  summary: |
    Designing, programming, and testing APIs while teaching co-workers test
    driven development.
  keywords:
  - teaching
  - Ruby-on-Rails
  - PHP
  - JavaScript
  - Node.JS
  - test driven development
- name: Roadtrippers
  location: Cincinnati, OH
  description: Travel planning web and mobile app
  position: Software Developer
  url: 'https://roadtrippers.com'
  startDate: 2013-01-01
  endDate: 2014-01-01
  summary: |
    Back end Ruby on Rails and dev-ops developer for successful travel planning
    start-up in Cincinnati.
  highlights:
  - Created and maintained cloud infrastructure automation
  - Orchestrated code and data migration from MongoDB to PostGIS
  keywords:
  - Ruby-on-Rails
  - test driven development
  - JavaScript
  - SQL
  - mongoDB
  - PostGIS
  - Linux devops
- name: MediaFuel
  location: Fishers, IN
  description: Web design and advertising agency
  position: Web developer
  url: 'https://mediafuel.com'
  startDate: 2011-01-01
  endDate: 2012-08-01
  summary: ''
  highlights:
  keywords:
  - Linux devops
  - PHP
  - SQL
  - JavaScript
- name: Ransburg Scout Reservation
  location: Bloomington, IN
  description: Boy Scouts of America summer camp
  position: Technology Consultant
  url: 'http://www.ransburgbsa.org/'
  startDate: 2005-05-15
  endDate: 2012-08-15
  summary: |
    Seasonal summer work developing and maintaining applications and
    infrastructure for camp operations
  keywords:
  - Java
  - PHP
  - SQL
  - Windows devops
volunteer:
- organization: Black Girls Code
  position: Instructor
  url: https://www.blackgirlscode.com/
  startDate: '2018-06-15'
  endDate: ''
  summary: |
    not-for-profit organization that focuses on providing technology education
    for African-American girls
  keywords:
  - teaching
  - mentoring
  - robot SDKs
  - game development
  - JavaScript
education:
- institution: Purdue University
  url: https://www.purdue.edu/
  area: Computer & Information Science
  studyType: Bachelor of Science
  startDate: '2009-01-01'
  endDate: '2012-05-01'
  score: '3.9'
awards:
- title: Eagle Scout
  date: '2007-06-15'
  awarder: Boy Scouts of America
  summary: Highest rank awarded to youth members
- title: Gersting Award
  date: '2012-04-15'
  awarder: Purdue University, Indianapolis
  summary: Highest honor given to graduating student in Computer Science program
- title: Staff Member of the Year
  date: '2006-08-15'
  awarder: Ransburg Scout Reservation
skills:
- name: Web Development
  level: Master
  keywords:
  - React.JS
  - Node.JS
  - JavaScript
  - Golang
  - CSS
  - Ruby-on-Rails
  - JAM Stack
  - SQL
  - PHP
  - static site generation
- name: Linux DevOps
  level: Advanced
  keywords:
  - Linux
  - Docker
  - Git
  - CI/CD
  - Kubernetes
  - automation
- name: Extreme Programing
  level: Advanced
  keywords:
  - pair programming
  - Agile planning
  - short feedback loops
- name: Desktop Programming
  level: Proficient
  keywords:
  - Golang
  - C/C++
  - Rust
- name: Machine Learning
  level: Familiar
  keywords:
  - neural networks
  - computer vision
  - OpenCV
  - Tensorflow
languages:
- language: English
  fluency: Native speaker
- language: German
  fluency: Proficient
- language: French
  fluency: Intermediate
interests:
- name: Making
  keywords:
  - recreational programming
  - 3D printing
  - self-hosting
  - paper craft
- name: Intentional community
  keywords:
  - pubnixes
  - volunteering
  - service hosting
projects:
- name: Springboard
  description: A Spring83 client
  highlights:
  - Client for new experimental social web protocol
  - Delivered feedback for future protocol improvements
  keywords:
  - Cryptography
  - Golang
  - API Design
  - Web service federation
  startDate: '2022-05-15'
  endDate: '2022-07-22'
  url: https://firehose.kindrobot.ca
  type: application
- name: Mintwise
  description: Bridges transaction data from Mint into Splitwise
  highlights:
  - Let's user select with transactions within a period are splittable
  - Automatically populates Splitwise transactions
  keywords:
  - Node.JS
  - CLI application
  - ETL
  - API integration
  startDate: '2019-12-15'
  endDate: '2020-06-08'
  url: https://tilde.town/~kindrobot/post/mintwise/
  type: application
- name: Puter Colour Picker
  description: API/website to set the colour of the computer in my office
  highlights:
  - Fun, interactive, social IoT application
  - Implements API and networking security best practices
  - Uses microservices to minimize downtime with e.g. restarting computer
  keywords:
  - Hardware
  - IoT
  - Golang
  startDate: '2021-06-15'
  endDate: '2022-06-15'
  url: https://chez.kindrobot.ca/puter.html
  type: application
- name: piepi.art | 🥧π.to
  description: A small pubnix / zine project on a Raspberry Pi
  highlights:
  - Social, creative pubnix (public unix service)
  - Hardenend network security minimizes risk of self-hosting
  keywords:
  - Raspberry Pi
  - SBC
  - Linux
  - server administration
  - creative writing
  startDate: '2022-04-15'
  url: https://piepi.art
  type: community
- name: Hexaflexago
  description: A hexaflexagon template generator
  keywords:
  - SVG
  - React.JS
  - paper craft
  startDate: '2016-06-15'
  endDate: '2017-05-25'
  url: https://tilde.town/~kindrobot/post/hexaflexago/
  type: application
meta:
  canonical: https://resume.kindrobot.ca/resume.yml
  version: v1.0.0
  lastModified: '2022-08-10T17:57:12Z'
